%define _sourcetar abs-guide-%{PACKAGE_VERSION}.tar.gz
%define _subdir    /share/TLDP/Advanced_Bash_Scripting_Guide

Summary: Advanced Bash Scripting Guide
Name: abs-guide
Version: 2.2
Release: 1
License: GFDL
Packager: Simon Clift (ssclift at cuic dot ca)
Group: Documentation
Source: %{_sourcetar}
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root

%description
The shell is a command interpreter. More than just the
insulating layer between the operating system kernel and the
user, it's also a fairly powerful programming language. A
shell program, called a script, is an easy-to-use tool for
building applications by "gluing" together system calls,
tools, utilities, and compiled binaries. 

This tutorial assumes no previous knowledge of scripting or
programming, but progresses rapidly toward an
intermediate/advanced level of instruction . . . all the
while sneaking in little snippets of UNIX\x{00AE} wisdom and
lore. It serves as a textbook, a manual for self-study, and
a reference and source of knowledge on shell scripting
techniques. The exercises and heavily-commented examples
invite active reader participation, under the premise that
the only way to really learn scripting is to write scripts.

This book is suitable for classroom use as a general
introduction to programming concepts.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}%{_subdir}
cd $RPM_BUILD_ROOT%{_prefix}%{_subdir}
tar zxvf $RPM_SOURCE_DIR/%{_sourcetar}
mv abs-guide/* .
rmdir abs-guide

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_prefix}%{_subdir}
